<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li class="current"><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_r.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>RadioReceiver()
: <a class="el" href="classframework_1_1sensor_1_1_radio_receiver.html#a3322222d665a3d200fb2650e51553a55">framework::sensor::RadioReceiver</a>
</li>
<li>RangeFinderPlot()
: <a class="el" href="classframework_1_1gui_1_1_range_finder_plot.html#a50aca7887865a6cdac36ef7742a77c5e">framework::gui::RangeFinderPlot</a>
</li>
<li>Read()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#a0bd4f4c98dd89942bd41a48d4fb76c4c">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#aad068f789a4622827c46b5ac5b9cc2e0">framework::core::RTDM_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a146f905bc40b436dc52a4f6910538d11">framework::core::RTDM_SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_serial_port.html#a1aaa873feaff92d9d4750c23fc696db8">framework::core::SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_shared_mem.html#ac2e66f7f1ef12209419414ae3c2ebad6">framework::core::SharedMem</a>
, <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a1dbddcf0ce0237295efffc698b9cbea5">framework::core::Unix_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#a52beb6207cde074203f1692113f1a4f6">framework::core::Unix_SerialPort</a>
</li>
<li>RecvMessage()
: <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a1c03f319ab35dc9107b809ebd4fe0035">framework::core::ConnectedSocket</a>
, <a class="el" href="classframework_1_1core_1_1_socket.html#aa07455775017781fdf8981e7ad6bd44b">framework::core::Socket</a>
, <a class="el" href="classframework_1_1core_1_1_tcp_socket.html#a6f31aeecb88aef62b30723e249472f5c">framework::core::TcpSocket</a>
, <a class="el" href="classframework_1_1core_1_1_udt_socket.html#a2aae4ba8dc6f66953986cfac4b91e152">framework::core::UdtSocket</a>
</li>
<li>ReleaseMutex()
: <a class="el" href="classframework_1_1core_1_1_mutex.html#a747027e52ff793c20016eb82b3a242e2">framework::core::Mutex</a>
, <a class="el" href="classframework_1_1gui_1_1_box.html#af6b8193c19570d7992fab97cd78cd8d0">framework::gui::Box</a>
</li>
<li>Reset()
: <a class="el" href="classframework_1_1filter_1_1_control_law.html#aa575705cc352e9de1e4d56789a6007f6">framework::filter::ControlLaw</a>
, <a class="el" href="classframework_1_1filter_1_1_pid.html#ad41a81219721111810f2ec7e2622c28f">framework::filter::Pid</a>
, <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#af486e2475c603a76f80ebc89536e0873">framework::filter::PidThrust</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#aab9de70b548a700686d9e88d0160023e">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>ResetI()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#ad830f08161e6855124ef0dac7f75ca54">framework::filter::PidThrust</a>
</li>
<li>ResetOffset()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a17cbe183cc4a8650bd102b1c900743c9">framework::filter::PidThrust</a>
</li>
<li>Resize()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#a409c26e838e0e4627c31d2e6f0d910ad">framework::filter::OpticalFlowData</a>
</li>
<li>Resume()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">framework::core::Thread</a>
</li>
<li>RollPlot()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#afa342497b5110ca1e7573346c6dc441a">framework::filter::Ahrs</a>
</li>
<li>RollTrim()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a7192add19899c5291e352e6193edd27f">framework::filter::JoyReference</a>
</li>
<li>RollTrimDown()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a1ab4dc786eb641580b9f7140c7d72f2d">framework::filter::JoyReference</a>
</li>
<li>RollTrimUp()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#ae48a3e27f41d9247ccfade2b9f3fb1f5">framework::filter::JoyReference</a>
</li>
<li>Rotate()
: <a class="el" href="classframework_1_1core_1_1_vector2_d.html#a4279b09d16fce2a45eed368102b4080d">framework::core::Vector2D</a>
, <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a03483b0253338c9b2fedba69a353c88c">framework::core::Vector3D</a>
</li>
<li>RotateDeg()
: <a class="el" href="classframework_1_1core_1_1_vector2_d.html#a98b412264ecd0010f41cf66258ae0acf">framework::core::Vector2D</a>
</li>
<li>RotateX()
: <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a33e260779cc00eddc9c60555299b481f">framework::core::Vector3D</a>
</li>
<li>RotateXDeg()
: <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6d17007ea3e5277d2e93052e79d7855a">framework::core::Vector3D</a>
</li>
<li>RotateY()
: <a class="el" href="classframework_1_1core_1_1_vector3_d.html#ab979d0250e1c5d97dff4e33daab08f04">framework::core::Vector3D</a>
</li>
<li>RotateYDeg()
: <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a77f244217deb50de450444b984eabb48">framework::core::Vector3D</a>
</li>
<li>RotateZ()
: <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a9fe27062b8db045e2163a8193970c75f">framework::core::Vector3D</a>
</li>
<li>RotateZDeg()
: <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6f1f24be85e9a19b20f769f75caf687b">framework::core::Vector3D</a>
</li>
<li>RotationMatrix()
: <a class="el" href="classframework_1_1core_1_1_rotation_matrix.html#a035c929a5b443613e15dcc4c87a1fb4a">framework::core::RotationMatrix</a>
</li>
<li>Row()
: <a class="el" href="classframework_1_1gui_1_1_layout_position.html#a8ac4c87220b77f0ea75cab13c28b3189">framework::gui::LayoutPosition</a>
</li>
<li>Rows()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a5c7aca4feb0d100c3ac7e33026f390d8">framework::core::cvmatrix</a>
, <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#a66457b0c994869730b13bdae1e15eb6a">framework::core::cvmatrix_descriptor</a>
</li>
<li>RTDM_I2cPort()
: <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a010d2511015000404d297a67ba20859b">framework::core::RTDM_I2cPort</a>
</li>
<li>RTDM_SerialPort()
: <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a41c97967f64df489ae789d0fc816cab5">framework::core::RTDM_SerialPort</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
